WARP(1)

NAME
Warp - warp (transform) input dataset

SYNOPSIS
astwarp [OPTION...] ASTRdata

DESCRIPTION
Warp is part of GNU Astronomy Utilities 0.20. Warp will resample the pixel grid of an input image. By default (if no special linear warping is requested), it will align the image to the WCS coordinates in anyand remove any possible distortion. Linear warping (like '--rotate' or '--scale') should be explicitly requested with the options under the "Linear warps" group below.

For more information, please run any of the following commands. In particular the second contains a very comprehensive explanation of Warp's invocation: expected input(s), output(s), and a full description of all the options.

All options and their values:
    $ astwarp -P

Inputs/Outputs and options:
    $ info astwarp

Full section in manual/book:
    $ info Warp

Full Gnuastro manual/book:
    $ info gnuastro

If you couldn't find your answer in the manual, you can get direct help from experienced Gnuastro users and developers. For more information, please run:

    $ info help-gnuastro

Warp options:

    Input:

--hendwcs=INT
    Header keyword number to end reading WCS.

--hstartwcs=INT
    Header keyword number to start reading WCS.

-h, --hdu=STR/INT
    Extension name or number of input data.

    Output:

-C, --coveredfrac=FLT
    Acceptable fraction of output pixel covered.

-D, --dontdelete
    Don't delete output if it exists.

-k, --keepwcs
    Do not apply warp to input's WCS

-K, --keepinputdir
    Keep input directory for automatic output.

-o, --output=STR
    Output file name.

-T, --type=STR
    Type of output: e.g., int16, float32, etc...

--wcslinearmatrix=STR
    WCS linear matrix of output ('pc' or 'cd').

    Align with WCS coordinates (correcting distortion, default mode)

--checkmaxfrac
    Moire pattern: Max.frac. input pixels on output.

--ctype=STR[,STR]
    FITS standard CTYPE value (e.g., 'RA---TAN').

-c, --center=FLT,FLT
    Center coordinate of the output image in RA,DEC.

--edgesampling=INT
    Number of extra samplings in pixel sides.

-G, --gridfile=FITS
    File to use for output grid.

-H, --gridhdu=STR
    HDU/extension to use for output grid.

--widthinpix --width is in pixels, not in WCS coordinates.

-w, --width=INT,INT
    Output image size in both dimensions.

-x, --cdelt=FLT[,FLT]
    Pixel scale of output (usually degrees/pixel).

    Linear warps (must be called explicitly on command-line)

--centeroncorner
    Center of coordinates on first pixel corner.

-e, --shear=FLT[,FLT]
    Shear along the given axis(es).

-f, --flip=INT[,INT]
    Flip along the given axis(es).

-m, --matrix=STR
    Raw transformation matrix, highest priority.

-p, --project=FLT[,FLT]
    Project along the given axis(es).

-r, --rotate=FLT
    Rotate by the given angle in degrees.

-s, --scale=FLT[,FLT]
    Scale along the given axis(es).

-t, --translate=FLT[,FLT]
    Translate along the given axis(es).

    Operating modes:

-?, --help
    give this help list

--checkconfig
    List all config files and variables read.

--cite
    BibTeX citation for this program.

--config=STR
    Read configuration file STR immediately.

--lastconfig
    Do not parse any more configuration files.

--log
    Information about output(s) in a log file.

--minmapsize=INT
    Min. bytes to avoid RAM automatically.

-N, --numthreads=INT
    Number of CPU threads to use.

--onlyversion=STR
    Only run if the program version is STR.

-P, --printparams
    Print parameter values to be used and abort.

--quietmmap
    Don't print mmap'd file's name and size.

-q, --quiet
    Only report errors, remain quiet about steps.

-S, --setdirconf
    Set default values for this directory and abort.

--usage
    give a short usage message

-U, --setusrconf
    Set default values for this user and abort.

-V, --version
    print program version

Mandatory or optional arguments to long options are also mandatory or optional for any corresponding short options.

GNU Astronomy Utilities home page: http://www.gnu.org/software/gnuastro/

REPORTING BUGS
Report bugs to bug-gnuastro@gnu.org.

COPYRIGHT
Copyright © 2015-2023 Free Software Foundation, Inc. License GPLv3+: GNU General public license version 3 or later.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

Written/developed by Mohammad Akhlaghi and Pedram Ashofteh-Ardakani

SEE ALSO
The full documentation for Warp is maintained as a Texinfo manual. If the info and Warp programs are properly installed at your site, the command

    info Warp

should give you access to the complete manual.